Module
Inhalte
Index 🔎︎

# Funktion GetProcessServiceManager

Gibt den ProcessServiceManager (zentraler Uno ServiceManager) zurück.

Diese Funktion ist erforderlich, um einen Service mittels CreateInstanceWithArguments zu instanziieren.

## Syntax:

    oServiceManager = GetProcessServiceManager()

## Beispiel:

    oServiceManager = GetProcessServiceManager()

    oIntrospection = oServiceManager.createInstance("com.sun.star.beans.Introspection");

    ' dieses entspricht folgender Anweisung:

    oIntrospection = CreateUnoService("com.sun.star.beans.Introspection")